Page MenuHomePhabricator

Create table to track endorsements for externally funded research proposals
Closed, ResolvedPublic

Description

Under the OA policy WMF can issue endorsements of research proposals aligned with our strategic goals and submitted for external funding (by the NSF, EC etc). These endorsements cannot be immediately published until the funding decision is made, in contrast to all other types of support covered by the policy which can be immediately announced.

This task is to create an internal space on Office wiki where such projects can be tracked until the final funding decision.

Related Objects

Event Timeline

DarTar created this task.Sep 21 2015, 10:02 PM
DarTar updated the task description. (Show Details)
DarTar raised the priority of this task from to Needs Triage.
DarTar claimed this task.
DarTar moved this task to Staged (ready to execute) on the Research board.
DarTar added a subscriber: Halfak.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2015, 10:02 PM

@DarTar, please review and mark this done if you think it looks OK.

One more thing that we might do is add this to a checklist somewhere. Do we have a checklist of things to do for support requests so that we don't forget to update lists like this one?

DarTar added a subscriber: Qgil.Sep 22 2015, 4:51 AM

Thanks, @Halfak, I expanded the page with some short instructions and added a few more details to the table, I'll mark this as done for now. I really wish Phab had task templates that could be populated via something friendlier than URL parameters. @Qgil anything that comes to mind?

DarTar moved this task from In Progress to Done (current quarter) on the Research board.

nice, subscribed.

@Qgil, after reading T93499 again, it looks like what we need is way simpler: the ability to create template tasks, prepopulated with specific values (say tags, or default subscribers or default content in the description, like a checklist) and use them when creating new tasks. I know we discussed the URL parameter trick but it's not tremendously friendly, other ideas you can point us to? cc @ggellerman

Qgil added a comment.Sep 23 2015, 8:47 AM

The URL parameters trick is not friendly for the person who has to create the link once, but then for the rest is a matter of clicking a link offered in a project page here and/or in a wiki page elsewhere...

"create the link once", it's actually very likely these templates will be modified/edited multiple times by various people.

Qgil added a comment.Sep 25 2015, 10:00 AM

You can maintain the complex URL queries in a MediaWiki page, just like wikitext templates are kept. :)

ggellerman closed this task as Resolved.Mar 24 2016, 10:21 PM